description

# ClosureMirror class Null safety

A ClosureMirror reflects a closure.

A ClosureMirror provides the ability to execute its reflectee and introspect its function.

Implemented types
  - InstanceMirror

## Constructors

ClosureMirror()

## Properties

function → MethodMirror
  A mirror on the function associated with this closure. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
hasReflectee → bool
  Whether reflectee will return the instance reflected by this mirror. [...]
  read-only, inherited
reflectee → dynamic
  If the InstanceMirror reflects an instance it is meaningful to have a local reference to, we provide access to the actual instance here. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → ClassMirror
  A mirror on the type of the reflectee. [...]
  read-only, inherited

## Methods

apply(List positionalArguments, [Map<Symbol, dynamic> namedArguments = const <Symbol, dynamic>{}]) → InstanceMirror
  Executes the closure and returns a mirror on the result. [...]
delegate(Invocation invocation) → dynamic
  Performs `invocation` on the reflectee of this ObjectMirror. [...]
  inherited
getField(Symbol fieldName) → InstanceMirror
  Invokes a getter and returns a mirror on the result. [...]
  inherited
invoke(Symbol memberName, List positionalArguments, [Map<Symbol, dynamic> namedArguments = const <Symbol, dynamic>{}]) → InstanceMirror
  Invokes the named function and returns a mirror on the result. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setField(Symbol fieldName, dynamic value) → InstanceMirror
  Invokes a setter and returns a mirror on the result. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited